Skip to main content
GET
/
api
/
datasets
/
{dataset_id}
/
branches
List Dataset Branches
curl --request GET \
  --url https://api.example.com/api/datasets/{dataset_id}/branches \
  --header 'Authorization: Bearer <token>'
{
  "family_dataset_id": "<string>",
  "family_name": "<string>",
  "selected_branch_id": "<string>",
  "branch_count": 0,
  "branches": [
    {
      "dataset_id": "<string>",
      "dataset_name": "<string>",
      "branch_name": "<string>",
      "branch_family_uuid": "<string>",
      "is_main_branch": false,
      "branch_origin": "<string>",
      "source_branch_uuid": "<string>",
      "created_from_healing_job_id": "<string>",
      "source_snapshot_created_at": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "can_edit": false,
      "has_drift_snapshots": false,
      "drift_snapshot_count": 0,
      "current_snapshot_created_at": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required

Query Parameters

branch
string | null

Optional branch name to mark as selected when addressing a dataset family URL.

Cookies

antidote_session
string | null

Response

Successful Response

family_dataset_id
string
required
family_name
string
required
selected_branch_id
string
required
branch_count
integer
default:0
branches
BranchSummaryRead · object[]